net.sourceforge.pmd.typeresolution

## Class ClassTypeResolverTest

- java.lang.Object
- - net.sourceforge.pmd.typeresolution.ClassTypeResolverTest

-     public class ClassTypeResolverTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassTypeResolverTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptanceTest()`
    `static junit.framework.Test` | `suite()`
    `void` | `testAnonymousInnerClass()`
    `void` | `testAssignmentOperators()`
    `void` | `testBinaryLogicalOperators()`
    `void` | `testBinaryNumericOperators()`
    `void` | `testBinaryNumericPromotion()`
    `void` | `testBinaryStringPromotion()`
    `void` | `testClassNameExists()`
    `void` | `testExtraTopLevelClass()`
    `void` | `testInnerClass()`
    `void` | `testLiterals()`
    `void` | `testUnaryLogicalOperators()`
    `void` | `testUnaryNumericOperators()`
    `void` | `testUnaryNumericPromotion()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassTypeResolverTest

          public ClassTypeResolverTest()

  - ### Method Detail

    - #### testClassNameExists

          public void testClassNameExists()

    - #### acceptanceTest

          public void acceptanceTest()

    - #### testExtraTopLevelClass

          public void testExtraTopLevelClass()
                                      throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### testInnerClass

          public void testInnerClass()
                              throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### testAnonymousInnerClass

          public void testAnonymousInnerClass()
                                       throws ClassNotFoundException

      Throws:
        `ClassNotFoundException`

    - #### testLiterals

          public void testLiterals()
                            throws org.jaxen.JaxenException

      Throws:
        `org.jaxen.JaxenException`

    - #### testUnaryNumericPromotion

          public void testUnaryNumericPromotion()
                                         throws org.jaxen.JaxenException

      Throws:
        `org.jaxen.JaxenException`

    - #### testBinaryNumericPromotion

          public void testBinaryNumericPromotion()
                                          throws org.jaxen.JaxenException

      Throws:
        `org.jaxen.JaxenException`

    - #### testBinaryStringPromotion

          public void testBinaryStringPromotion()
                                         throws org.jaxen.JaxenException

      Throws:
        `org.jaxen.JaxenException`

    - #### testUnaryLogicalOperators

          public void testUnaryLogicalOperators()
                                         throws org.jaxen.JaxenException

      Throws:
        `org.jaxen.JaxenException`

    - #### testBinaryLogicalOperators

          public void testBinaryLogicalOperators()
                                          throws org.jaxen.JaxenException

      Throws:
        `org.jaxen.JaxenException`

    - #### testUnaryNumericOperators

          public void testUnaryNumericOperators()
                                         throws org.jaxen.JaxenException

      Throws:
        `org.jaxen.JaxenException`

    - #### testBinaryNumericOperators

          public void testBinaryNumericOperators()
                                          throws org.jaxen.JaxenException

      Throws:
        `org.jaxen.JaxenException`

    - #### testAssignmentOperators

          public void testAssignmentOperators()
                                       throws org.jaxen.JaxenException

      Throws:
        `org.jaxen.JaxenException`

    - #### suite

          public static junit.framework.Test suite()

Copyright © 2002-2013 InfoEther. All Rights Reserved.